package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseData;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author lsw
 * @date 2024-07-11
 */
@Data
@TableName(value = "tb_follow_template")
@Accessors(chain = true)
public class FollowTemplate extends BaseData {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String op;

    @ApiModelProperty(value = "状态:0=正常,1=停用")
    private Integer state;

    @NotNull(message = "模板类型不能为空")
    @Min(value = 0, message = "模板类型只能选择复诊提醒或随访提醒")
    @Max(value = 1, message = "模板类型只能选择复诊提醒或随访提醒")
    @ApiModelProperty(value = "模板类型:0=复诊提醒,1=随访提醒")
    private Integer type;


}
