package com.ruoyi.web.work.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class VisitVoList {

    @ApiModelProperty(value = "患者住院ID")
    private Long id;

    @ApiModelProperty(value = "患者ID")
    private Long patId;

    @ApiModelProperty(value = "就诊卡号")
    private String cardId;


    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "主治医师")
    private String physician;

    @ApiModelProperty(value = "科室")
    private String department;

    @ApiModelProperty(value = "病历号")
    private String blh;

    @ApiModelProperty(value = "入院时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date admissionTime;

    @ApiModelProperty(value = "出院时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dischargeTime;

    @ApiModelProperty(value = "复诊提醒")
    private Integer up = 0;

    @ApiModelProperty(value = "复诊提醒已读")
    private Integer upRead = 0;

    @ApiModelProperty(value = "随访记录")
    private Integer record = 0;

    @ApiModelProperty(value = "随访记录已填")
    private Integer recordRead = 0;

    @ApiModelProperty(value = "是否绑定小程序")
    private Integer isBindWx;
}
